Subject: [bug#49823] [PATCH] gnu: Add jsonnet.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 11 Aug 2021 11:56:46 +0200

Hi,

Vivien Kraus <[email-masked]> skribis:

> Ludovic Courtès writes:
>>> For the sake of having "no dependencies", it bundles a custom
>>> implementation of MD5. According to a comment in the associated
>>> license, it is taken from the implementation of bzflag, but it does not
>>> seem to use the same as of today.
>>>
>>> I decided to use nettle, and add a few lines of C++ to shape it into
>>> the required interface.
>>
>> I think using Nettle is a wise decision; however, it’s a decision for
>> upstream to make IMO.  I’m not comfortable with shipping custom
>> md5.{cpp,h} and CMakeLists.txt; to me, we’d be taking a bit too much of
>> upstream’s burden and delivering something that’s quite different.
>
> OK. Should I keep the bundled MD5 implementation then?

Yeah, I think so.  Clearly it’s a gray area, there are pros and cons,
but I’d lean towards minimal changes to upstream source.

Thanks,
Ludo’.